CREATE TABLE msc_analytic_items (
    CATEGORY_SET_ID                   NUMBER(18, 0)     NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    CATEGORY_SET_NAME                 VARCHAR2(960)     NOT NULL,
    HIERARCHY_ID                      NUMBER        ,
    MEMBER1                           NUMBER        ,
    NAME1                             VARCHAR2(960) ,
    MEMBER2                           NUMBER        ,
    NAME2                             VARCHAR2(960) ,
    MEMBER3                           NUMBER        ,
    NAME3                             VARCHAR2(960) ,
    MEMBER4                           NUMBER        ,
    NAME4                             VARCHAR2(960) ,
    MEMBER5                           NUMBER        ,
    NAME5                             VARCHAR2(960) ,
    MEMBER6                           NUMBER        ,
    NAME6                             VARCHAR2(960) ,
    MEMBER7                           NUMBER        ,
    NAME7                             VARCHAR2(960) ,
    MEMBER8                           NUMBER        ,
    NAME8                             VARCHAR2(960) ,
    MEMBER9                           NUMBER        ,
    NAME9                             VARCHAR2(960) ,
    MEMBER10                          NUMBER        ,
    NAME10                            VARCHAR2(960) ,
    PLAN_ID                           NUMBER(18, 0) ,
    INVENTORY_ITEM_ID                 NUMBER(18, 0) ,
    ITEM_NAME                         VARCHAR2(1200),
    ORGANIZATION_ID                   NUMBER(18, 0) ,
    DESCRIPTION                       VARCHAR2(960) ,
    UOM_CODE                          VARCHAR2(80)  ,
    ABC_CLASS_NAME                    VARCHAR2(960) ,
    FIXED_LEAD_TIME                   NUMBER        ,
    VARIABLE_LEAD_TIME                NUMBER        ,
    PREPROCESSING_LEAD_TIME           NUMBER        ,
    POSTPROCESSING_LEAD_TIME          NUMBER        ,
    CUM_MANUFACTURING_LEAD_TIME       NUMBER(18, 0) ,
    FIXED_DAYS_SUPPLY                 NUMBER        ,
    FIXED_ORDER_QUANTITY              NUMBER        ,
    FIXED_LOT_MULTIPLIER              NUMBER        ,
    MINIMUM_ORDER_QUANTITY            NUMBER        ,
    MAXIMUM_ORDER_QUANTITY            VARCHAR2(80)  ,
    PLANNER_CODE                      VARCHAR2(960) ,
    BUYER_NAME                        VARCHAR2(960) ,
    ORGANIZATION_CODE                 VARCHAR2(960) ,
    PLANNING_MAKE_BUY_CODE            VARCHAR2(80)  ,
    CRITICAL_COMPONENT_FLAG           VARCHAR2(960) ,
    ATO_FORECAST_CONTROL              VARCHAR2(4000),
    SAFETY_STOCK_CODE                 NUMBER        ,
    SAFETY_STOCK_PERCENT              NUMBER        ,
    DEMAND_TIME_FENCE_DATE            DATE          ,
    PLANNING_TIME_FENCE_DATE          DATE          ,
    DEMAND_TIME_FENCE_DAYS            NUMBER        ,
    PLANNING_TIME_FENCE_DAYS          NUMBER        ,
    RELEASE_TIME_FENCE_DAYS           NUMBER        ,
    RELEASE_TIME_FENCE_CODE           VARCHAR2(960) ,
    DEMAND_TIME_FENCE_CODE            VARCHAR2(960) ,
    PLANNING_TIME_FENCE_CODE          VARCHAR2(960) ,
    CARRYING_COST                     NUMBER        ,
    SAFETY_STOCK_QUANTITY             NUMBER        ,
    SAFETY_STOCK_QUANTITY_OVERRIDE    NUMBER        ,
    LIFE_CYCLE_PHASE                  VARCHAR2(480) ,
    FULL_LEAD_TIME                    NUMBER        ,
    LIST_PRICE                        NUMBER        ,
    ITEM_COST_OVERRIDE                NUMBER        ,
    ITEM_COST_UOM                     VARCHAR2(960) ,
    FORECAST_NAME                     VARCHAR2(960) ,
    USE_UP_DATE                       DATE          ,
    BASE_MODEL                        VARCHAR2(960) ,
    BOM_ITEM_TYPE                     VARCHAR2(960) ,
    MRP_PLANNING_CODE                 VARCHAR2(960) ,
    NET_SELLING_PRICE                 NUMBER        ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE1                        VARCHAR2(80)  ,
    ATTRIBUTE2                        VARCHAR2(80)  ,
    ATTRIBUTE3                        VARCHAR2(80)  ,
    ATTRIBUTE4                        VARCHAR2(80)  ,
    ATTRIBUTE5                        VARCHAR2(80)  ,
    ATTRIBUTE_CHAR1                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR11                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR12                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR13                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR14                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR15                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR16                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR17                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR18                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR19                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR20                  VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR1            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR2            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR3            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR4            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR5            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR6            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR7            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR8            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR9            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR10           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR11           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR12           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR13           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR14           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR15           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR16           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR17           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR18           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR19           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR20           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_NUMBER1          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5          NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1            DATE          ,
    GLOBAL_ATTRIBUTE_DATE2            DATE          ,
    GLOBAL_ATTRIBUTE_DATE3            DATE          ,
    GLOBAL_ATTRIBUTE_DATE4            DATE          ,
    GLOBAL_ATTRIBUTE_DATE5            DATE          ,
    CATEGORY_SET_ID                   NUMBER(18, 0)     NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    CATEGORY_SET_NAME                 VARCHAR2(960)     NOT NULL,
    HIERARCHY_ID                      NUMBER        ,
    MEMBER1                           NUMBER        ,
    NAME1                             VARCHAR2(960) ,
    MEMBER2                           NUMBER        ,
    NAME2                             VARCHAR2(960) ,
    MEMBER3                           NUMBER        ,
    NAME3                             VARCHAR2(960) ,
    MEMBER4                           NUMBER        ,
    NAME4                             VARCHAR2(960) ,
    MEMBER5                           NUMBER        ,
    NAME5                             VARCHAR2(960) ,
    MEMBER6                           NUMBER        ,
    NAME6                             VARCHAR2(960) ,
    MEMBER7                           NUMBER        ,
    NAME7                             VARCHAR2(960) ,
    MEMBER8                           NUMBER        ,
    NAME8                             VARCHAR2(960) ,
    MEMBER9                           NUMBER        ,
    NAME9                             VARCHAR2(960) ,
    MEMBER10                          NUMBER        ,
    NAME10                            VARCHAR2(960) ,
    PLAN_ID                           NUMBER(18, 0) ,
    INVENTORY_ITEM_ID                 NUMBER(18, 0) ,
    ITEM_NAME                         VARCHAR2(1200),
    ORGANIZATION_ID                   NUMBER(18, 0) ,
    DESCRIPTION                       VARCHAR2(960) ,
    UOM_CODE                          VARCHAR2(80)  ,
    ABC_CLASS_NAME                    VARCHAR2(960) ,
    FIXED_LEAD_TIME                   NUMBER        ,
    VARIABLE_LEAD_TIME                NUMBER        ,
    PREPROCESSING_LEAD_TIME           NUMBER        ,
    POSTPROCESSING_LEAD_TIME          NUMBER        ,
    CUM_MANUFACTURING_LEAD_TIME       NUMBER(18, 0) ,
    FIXED_DAYS_SUPPLY                 NUMBER        ,
    FIXED_ORDER_QUANTITY              NUMBER        ,
    FIXED_LOT_MULTIPLIER              NUMBER        ,
    MINIMUM_ORDER_QUANTITY            NUMBER        ,
    MAXIMUM_ORDER_QUANTITY            VARCHAR2(80)  ,
    PLANNER_CODE                      VARCHAR2(960) ,
    BUYER_NAME                        VARCHAR2(960) ,
    ORGANIZATION_CODE                 VARCHAR2(960) ,
    PLANNING_MAKE_BUY_CODE            VARCHAR2(80)  ,
    CRITICAL_COMPONENT_FLAG           VARCHAR2(960) ,
    ATO_FORECAST_CONTROL              VARCHAR2(4000),
    SAFETY_STOCK_CODE                 NUMBER        ,
    SAFETY_STOCK_PERCENT              NUMBER        ,
    DEMAND_TIME_FENCE_DATE            DATE          ,
    PLANNING_TIME_FENCE_DATE          DATE          ,
    DEMAND_TIME_FENCE_DAYS            NUMBER        ,
    PLANNING_TIME_FENCE_DAYS          NUMBER        ,
    RELEASE_TIME_FENCE_DAYS           NUMBER        ,
    RELEASE_TIME_FENCE_CODE           VARCHAR2(960) ,
    DEMAND_TIME_FENCE_CODE            VARCHAR2(960) ,
    PLANNING_TIME_FENCE_CODE          VARCHAR2(960) ,
    CARRYING_COST                     NUMBER        ,
    SAFETY_STOCK_QUANTITY             NUMBER        ,
    SAFETY_STOCK_QUANTITY_OVERRIDE    NUMBER        ,
    LIFE_CYCLE_PHASE                  VARCHAR2(480) ,
    FULL_LEAD_TIME                    NUMBER        ,
    LIST_PRICE                        NUMBER        ,
    ITEM_COST_OVERRIDE                NUMBER        ,
    ITEM_COST_UOM                     VARCHAR2(960) ,
    FORECAST_NAME                     VARCHAR2(960) ,
    USE_UP_DATE                       DATE          ,
    BASE_MODEL                        VARCHAR2(960) ,
    BOM_ITEM_TYPE                     VARCHAR2(960) ,
    MRP_PLANNING_CODE                 VARCHAR2(960) ,
    NET_SELLING_PRICE                 NUMBER        ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE1                        VARCHAR2(80)  ,
    ATTRIBUTE2                        VARCHAR2(80)  ,
    ATTRIBUTE3                        VARCHAR2(80)  ,
    ATTRIBUTE4                        VARCHAR2(80)  ,
    ATTRIBUTE5                        VARCHAR2(80)  ,
    ATTRIBUTE_CHAR1                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                   VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR11                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR12                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR13                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR14                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR15                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR16                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR17                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR18                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR19                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR20                  VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR1            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR2            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR3            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR4            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR5            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR6            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR7            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR8            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR9            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR10           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR11           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR12           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR13           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR14           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR15           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR16           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR17           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR18           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR19           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CHAR20           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_NUMBER1          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5          NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1            DATE          ,
    GLOBAL_ATTRIBUTE_DATE2            DATE          ,
    GLOBAL_ATTRIBUTE_DATE3            DATE          ,
    GLOBAL_ATTRIBUTE_DATE4            DATE          ,
    GLOBAL_ATTRIBUTE_DATE5            DATE          ,
    CONSTRAINT pk_msc_analytic_items PRIMARY KEY (HIERARCHY_ID, PLAN_ID, INVENTORY_ITEM_ID, ORGANIZATION_ID, HIERARCHY_ID, PLAN_ID, INVENTORY_ITEM_ID, ORGANIZATION_ID)
);
